Attribute VB_Name = "Main"
Option Explicit

Public Sub RunUpdate()
  Dim oLocations As Collection: Set oLocations = SourceLocations
  Dim knownSources As Scripting.Dictionary: Set knownSources = Sources
  
  Dim xlUI As New API_XLWrapper: Call xlUI.SetDocument(ThisWorkbook)
  Call xlUI.PauseUI
  
  Dim aLocation As Variant
  Dim nCount&: nCount = 0
  For Each aLocation In oLocations
    nCount = nCount + ImportDataFrom(CStr(aLocation), knownSources)
  Next aLocation
  
  Call xlUI.ResumeUI
  
  Call MsgBox(Fmt(" : {1}", nCount), vbInformation)
End Sub
